Bug 79745 - undefined reference to `glutInitErrorFunc'
Summary: undefined reference to `glutInitErrorFunc'
Status: RESOLVED FIXED
Alias: None
Product: piglit
Classification: Unclassified
Component: infrastructure (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) All
: medium blocker
Assignee: Jose Fonseca
QA Contact: Eric Anholt
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-06 19:43 UTC by Vinson Lee
Modified: 2014-06-10 10:15 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch (2.22 KB, patch)
2014-06-09 14:53 UTC, Jose Fonseca
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-06-06 19:43:13 UTC
piglit: 6b9cecad342d0d76e5668fa0a779668ac3e7a133 (master)

The build fails with freeglut 2.6, where glutInitErrorFunc doesn't exist.

Linking C executable ../../../../bin/crash-cubemap-order
../../../../lib/libpiglitutil_gl.so: undefined reference to `glutInitErrorFunc'


commit 6b9cecad342d0d76e5668fa0a779668ac3e7a133
Author: José Fonseca <jfonseca@vmware.com>
Date:   Fri Jun 6 11:10:55 2014 +0100

    util/framework/glut: Report skip when GLUT is unable to create the requested context.
    
    Trivial. It won't affect platforms which use waffle.
Comment 1 Jose Fonseca 2014-06-08 21:49:27 UTC
> Linking C executable ../../../../bin/crash-cubemap-order
../../../../lib/libpiglitutil_gl.so: undefined reference to `glutInitErrorFunc'


I imagined that support for glutInitErrorFunc came before glutInitContextVersion, so the.

However, there is no way to distinguish freeglut 2.8 from 2.6 ... :-/


BTW, would it be better to build piglit with waffle?  I'm only doing these GLUT changes to get piglit working on Windows which has no waffle support.
Comment 2 Jose Fonseca 2014-06-09 14:53:57 UTC
Created attachment 100749 [details] [review]
Patch

Vinson, please see if the attached patch fixes the problem for you.
Comment 3 Vinson Lee 2014-06-09 19:54:41 UTC
(In reply to comment #2)
> Created attachment 100749 [details] [review] [review]
> Patch
> 
> Vinson, please see if the attached patch fixes the problem for you.

attachment 100749 [details] [review] fixes the build for me.

Tested-by: Vinson Lee <vlee@freedesktop.org>
Comment 4 Jose Fonseca 2014-06-10 10:15:48 UTC
Thanks! Pushed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.